Subject: Re: bug#34991: network manager error with wireless card when wired card connected

From: Quiliro Ordonez <[email-masked]>
Date: Tue, 09 Apr 2019 17:09:32 -0700

El 2019-04-04 17:35, Quiliro Ordonez escribió:
> El 2019-04-04 07:57, Ludovic Courtès escribió:
>> Hola,
>>
>> Quiliro Ordonez <[email-masked]> skribis:
>>
>>> El 2019-04-03 21:31, Ludovic Courtès escribió:
>>>> Hi Quiliro,
>>>>
>>>> Quiliro Ordonez <[email-masked]> skribis:
>>>>
>>>>> When i install my PCI wireless card and my ethernet card is plugged to
>>>>> its cable, network manager fails to start because of an error starting
>>>>> wpa_supplicant.
>>>>
>>>> Could you provide the actual error messages that you see?  You can
>>>> hopefully get them from /var/log/messages.
>>>>
>>>> Without that information there’s nothing we can do about the issue.
>>>
>>> I cannot see anything else on the log. I attach the respective file.
>>>
>>> Also, i tryed restarting the networking service:
>>> ~$ sudo herd restart networking
>>> Service networking is not running.
>>> Service wpa-supplicant could not be started.
>>> Service networking depends on wpa-supplicant.
>>> Service networking could not be started.
>>
>> Indeed, the log is unhelpful.  When you run this command, is there
>> anything that gets printed on the console?  (You can hit ctrl-alt-f1 and
>> then run ’sudo herd start wpa-supplicant’ from there.)
> 
> Right now the networking service has started normally. This error
> starting networking service is a situation that is present sometimes on
> boot and others it is not. When it is present, I run:
> sudo iwconfig wlp2s1 essid QO
> sudo dhclient wlp2s1 -v
> After that, can connect to the network. I can also make the test you
> ask. I did it before. I do not remember exactly the error message when
> trying:
> sudo herd restart wpa-supplicant
> But I do remember that there was no information that told baout the
> problem except that it was unable to start it. The log which I sont on
> the previous message said that it could not start wpa-supplicant because
> it depended on dbus-system. But I when I restarted that service, the
> machine became unusable; probably because the login manager stopped
> working and I had to restart the machine.
> 
> HH!,
> Quiliro.

I have no problem since the message above. Posibly because a new Guix
commit fixed it after which I pulled and reconfigured.